export const TableColumns = [
  { item: { key: "priceName", title: "价格名称" }, attr: { isHidden: true } },
  { item: { key: "priceCode", title: "价格编码" }, attr: { isHidden: true } },
  {
    item: { key: "status", title: "状态" },
    attr: { is: "el-dict-tag", dictName: "sys_status", isHidden: true },
  },
  { item: { key: "supplierName", title: "供应商" }, attr: { isHidden: true } },
  { item: { key: "currencyName", title: "币种" }, attr: { isHidden: true } },
  {
    item: { key: "explainStr", title: "价格合理性说明" },
    attr: { isHidden: true },
  },
  { item: { key: "buyerName", title: "采购员" }, attr: { isHidden: true } },
  { item: { key: "puDeptName", title: "采购部门" }, attr: { isHidden: true } },
  {
    item: { key: "file", title: "附件" },
    attr: { is: "el-file-preview", isHidden: true },
  },
  { item: { key: "createByName", title: "创建人" }, attr: { isHidden: true } },
  {
    item: { key: "isEffective", title: "是否已推价格" },
    attr: { is: "el-dict-tag", dictName: "is_effective", isHidden: true },
  },
  {
    item: { key: "effectiveDate", title: "生效日期" },
    attr: { isHidden: true },
  },
  { item: { key: "id", title: "来源单据id" }, attr: { isHidden: true } },
  { item: { key: "source", title: "来源单据号" }, attr: { isHidden: true } },
  {
    item: { key: "sourceType", title: "来源单据类型" },
    attr: { isHidden: true },
  },
];

export const SearchColumns = [
  {
    item: { key: "supplierName", title: "供应商" },
    attr: {
      is: "el-popover-select-v2",
      referName: "SUPPLIER_PARAM",
      valueKey: "name",
      dataMapping: { supplier: "id", supplierName: "name" },
    },
  },
  {
    item: { key: "puOrgName", title: "采购组织" },
    attr: {
      is: "el-popover-select-v2",
      referName: "ORG_PARAM",
      valueKey: "name",
      dataMapping: { puOrg: "id", puOrgName: "name" },
    },
    on: {
      change: true,
      "keyup.enter.native": true,
    },
  },
  {
    item: { key: "buyerName", title: "采购员" },
    attr: {
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
      dataMapping: { buyer: "code", buyerName: "name" },
    },
  },
  {
    item: { key: "currencyName", title: "币种" },
    attr: {
      is: "el-popover-select-v2",
      referName: "CURRENCY_PARAM",
      valueKey: "name",
      dataMapping: { currency: "id", currencyName: "name" },
    },
  },
  {
    item: { key: "puDeptName", title: "采购部门" },
    attr: {
      is: "el-popover-select-v2",
      referName: "DEPT_PARAM",
      valueKey: "name",
      dataMapping: { puDept: "id", puDeptName: "name" },
    },
  },
  {
    item: { key: "isEffective", title: "是否推价" },
    attr: {
      is: "el-select",
      dictName: "is_effective",
      clearable: true,
    },
  },
  {
    item: { key: "status", title: "状态" },
    attr: {
      is: "el-select",
      dictName: "sys_status",
      clearable: true,
    },
  },
];
