import { REFER } from "@/components/popover-select/api";
import { EXIST } from "@/api/business/purchase/catalogue";

export default function useMethods() {
  const fetchTax = async (prop) => {
    try {
      // try
      const { code, rows } = await REFER({
        search: prop,
        type: "TAX_RATE_PARAM",
      });
      if (code === 200) {
        return rows[0] || {};
      }
    } catch (err) {
      // catch
      console.error(err);
    } finally {
      // finally
    }
  };

  const fetchUnit = async (prop) => {
    try {
      // try
      const { code, rows } = await REFER({
        search: prop,
        type: "UNIT_PARAM",
      });
      if (code === 200) {
        return rows[0] || {};
      }
    } catch (err) {
      // catch
      console.error(err);
    } finally {
      // finally
    }
  };

  const fetchExist = async (prop) => {
    try {
      // try
      const { code, data } = await EXIST(prop);
      if (code === 200) return data;
    } catch (err) {
      // catch
      console.error(err);
    } finally {
      // finally
    }
  };

  return { fetchTax, fetchUnit, fetchExist };
}
