import CONFIG from "@/config";

export const TableColumns = [
  { item: { key: "puOrgName", title: "采购组织" }, attr: { isHidden: true } },
  { item: { key: "code", title: "合同编码" }, attr: { isHidden: true } },
  {
    item: { key: "status", title: "状态" },
    attr: { is: "el-dict-tag", dictName: "documents_status", isHidden: true },
  },
  {
    item: { key: "lastPuMoney", title: "上年度采购额" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1).toFixed(CONFIG.precision);
      },
      isHidden: true,
    },
  },
  { item: { key: "buyerName", title: "采购员" }, attr: { isHidden: true } },
  { item: { key: "supplierName", title: "供应商" }, attr: { isHidden: true } },
  {
    item: { key: "contractType", title: "合同类型" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_contract_type",
      isHidden: true,
    },
  },
  {
    item: { key: "puMoneyYear", title: "本年度采购额" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1).toFixed(CONFIG.precision);
      },
      isHidden: true,
    },
  },
  { item: { key: "puDeptName", title: "采购部门" }, attr: { isHidden: true } },
  {
    item: { key: "supplierTier", title: "供应商层级" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_supplier_tier",
      isHidden: true,
    },
  },
  {
    item: { key: "contractName", title: "合同名称" },
    attr: { isHidden: true },
  },
  {
    item: { key: "grossRateAverage", title: "平均毛利率 (%)" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1).toFixed(CONFIG.precision);
      },
      isHidden: true,
    },
  },
  {
    item: { key: "approveFlow", title: "审批流程" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_approve_flow",
      isHidden: true,
    },
  },
  {
    item: { key: "consumableClass", title: "耗材类别" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_consumable_class",
      isHidden: true,
    },
  },
  {
    item: { key: "effectiveDate", title: "合同生效日期" },
    attr: { isHidden: true },
  },
  {
    item: { key: "brandGrossRate", title: "同类品牌及毛利率 (%)" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1).toFixed(CONFIG.precision);
      },
      isHidden: true,
    },
  },
  {
    item: { key: "contractFormat", title: "合同格式" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_contract_format",
      isHidden: true,
    },
  },
  {
    item: { key: "productName", title: "产品类别&名称" },
    attr: { isHidden: true },
  },
  { item: { key: "endDate", title: "合同终止日期" }, attr: { isHidden: true } },
  {
    item: { key: "invoiceTax", title: "发票税率 (%)" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return (prop * 1).toFixed(CONFIG.precision);
      },
      isHidden: true,
    },
  },
  {
    item: { key: "emergencyDegree", title: "紧急程度" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_emergency_degree",
      isHidden: true,
    },
  },
  { item: { key: "project", title: "项目医院" }, attr: { isHidden: true } },
  {
    item: { key: "deliveryType", title: "交货方式" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_delivery_type",
      isHidden: true,
    },
  },
  { item: { key: "source", title: "合同来源" }, attr: { isHidden: true } },
  {
    item: { key: "contractPartycName", title: "合同丙方" },
    attr: { isHidden: true },
  },
  {
    item: { key: "guaranteePeriodEnd", title: "质保期限" },
    attr: { isHidden: true },
  },
  {
    item: { key: "freightMethods", title: "运费承担方式" },
    attr: {
      is: "el-dict-tag",
      dictName: "puarchase_contract_freight_methods",
      isHidden: true,
    },
  },
  {
    item: { key: "signDate", title: "合同创建时间" },
    attr: { isHidden: true },
  },
  {
    item: { key: "isTarget", title: "是否有指标" },
    attr: { is: "el-dict-tag", dictName: "sys_yes_no", isHidden: true },
  },
  {
    item: { key: "contractTarget", title: "合同指标" },
    attr: { isHidden: true },
  },
  {
    item: { key: "exemptionPostageCondtion", title: "包邮条件" },
    attr: { isHidden: true },
  },
  {
    item: { key: "isRebate", title: "是否有返利" },
    attr: { is: "el-dict-tag", dictName: "sys_yes_no", isHidden: true },
  },
  {
    item: { key: "rebatePolicy", title: "返利政策" },
    attr: { isHidden: true },
  },
  {
    item: { key: "externalContract", title: "外部合同号" },
    attr: { isHidden: true },
  },
  {
    item: { key: "rollbackPolicy", title: "退换货政策" },
    attr: { isHidden: true },
  },
  { item: { key: "enquiryCode", title: "询价单号" }, attr: { isHidden: true } },
  {
    item: { key: "contractContent", title: "合同主要内容" },
    attr: { isHidden: true },
  },
  {
    item: { key: "refusalReasons", title: "拒绝理由" },
    attr: { isHidden: true },
  },
  {
    item: { key: "pigeonhole", title: "是否归档" },
    attr: { is: "el-dict-tag", dictName: "sys_yes_no", isHidden: true },
  },
  {
    item: { key: "pigeonholeFile", title: "归档附件" },
    attr: { is: "el-file-preview", isHidden: true },
  },
  {
    item: { key: "externalFile", title: "对外附件" },
    attr: { is: "el-file-preview", isHidden: true },
  },
  {
    item: { key: "puFile", title: "采购商盖章合同附件" },
    attr: { is: "el-file-preview", isHidden: true },
  },
  {
    item: { key: "supplierFile", title: "供应商盖章合同附件" },
    attr: { is: "el-file-preview", isHidden: true },
  },
  { item: { key: "projectCode", title: "项目编号" }, attr: { isHidden: true } },
  { item: { key: "projectName", title: "项目名称" }, attr: { isHidden: true } },
  { item: { key: "area", title: "区域" }, attr: { isHidden: true } },
  {
    item: { key: "consigneePhone", title: "收货人联系方式" },
    attr: { isHidden: true },
  },
  {
    item: { key: "paymentAgreement", title: "付款协议" },
    attr: { isHidden: true },
  },
  {
    item: { key: "taxPrice", title: "价税合计" },
    attr: {
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return prop ? (prop * 1).toFixed(CONFIG.precision) : "0.000000";
      },
      isHidden: true,
    },
  },
  { item: { key: "currencyName", title: "币种" }, attr: { isHidden: true } },
  {
    item: { key: "guaranteePeriod", title: "质保期" },
    attr: { isHidden: true },
  },
];
export const FormColumns = [
  {
    item: {
      key: "contractName",
      title: "合同名称",
    },
    attr: {
      is: "el-input",
    },
  },
  {
    item: { key: "status", title: "状态" },
    attr: {
      is: "el-select",
      dictName: "documents_status",
    },
  },
  {
    item: {
      key: "pigeonhole",
      title: "是否归档",
    },
    attr: {
      is: "el-select",
      dictName: "sys_yes_no",
    },
  },
];
